import { IsDate, IsString, IsNotEmpty } from 'class-validator';
import { Column, Entity } from 'typeorm';
import { BasicREntity } from '../../basicR.type';

@Entity()
export class InventoryArea extends BasicREntity {

    @IsNotEmpty()
    @IsDate()
    @Column({ nullable: false })
    date: Date;

    @IsNotEmpty()
    @IsString()
    @Column({ nullable: false })
    name: string;
}